## pysmarlaapi 0.9.0

=== requirements.txt ===
aiohttp~=3.11.11
jsonpickle~=4.0.0
pysignalr~=1.1.0

=== debian/changelog ===
pysmarlaapi (0.9.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 30 Jun 2025 17:19:00 +0100

pysmarlaapi (0.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1107860)

 -- Edward Betts <edward@4angle.com>  Sun, 15 Jun 2025 22:53:13 +0100

=== debian/control ===
Source: pysmarlaapi
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit,
 pybuild-plugin-pyproject,
 python3-all,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pysignalr <!nocheck>,
 python3-jsonpickle <!nocheck>,
 python3-aiohttp <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/Explicatis-GmbH/pysmarlaapi
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pysmarlaapi
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pysmarlaapi.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pysmarlaapi
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to control Swing2Sleep Smarla device over Wi-Fi
 This library provides an interface to manage Swing2Sleep Smarla devices,
 allowing users to connect and control the device through a network connection.
 It requires the Smarla device to have firmware version 1.6.X or newer. Users
 can operate the Swing2Sleep Smarla from a supported network environment,
 facilitating the interaction with the device in terms of starting, stopping,
 and configuring its operations.

## pysmarlaapi 0.9.1

=== debian/changelog ===
pysmarlaapi (0.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 01 Aug 2025 18:54:15 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Homepage: https://github.com/Explicatis-GmbH/pysmarlaapi
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pysmarlaapi
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pysmarlaapi.git
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pysmarlaapi
 Architecture: all

## pysmarlaapi 0.9.2

=== requirements.txt ===
aiohttp>=3.11
jsonpickle>=4.0.0
pysignalr>=1.3.0

=== debian/changelog ===
pysmarlaapi (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 06 Sep 2025 14:03:08 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  python3-pysignalr <!nocheck>,
  python3-jsonpickle <!nocheck>,
  python3-aiohttp <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/Explicatis-GmbH/pysmarlaapi
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pysmarlaapi

=== debian/watch ===
version=4
https://github.com/Explicatis-GmbH/pysmarlaapi/tags .*/v?(\d\S+)\.tar\.gz

## pysmarlaapi 0.9.3

=== debian/changelog ===
pysmarlaapi (0.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 25 Dec 2025 10:25:02 +0000

## pysmarlaapi 0.10.2

=== debian/changelog ===
pysmarlaapi (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.

 -- Edward Betts <edward@4angle.com>  Sun, 01 Feb 2026 11:24:44 +0100

## pysmarlaapi 0.13.0

=== debian/changelog ===
pysmarlaapi (0.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 05 Feb 2026 08:35:44 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -15,7 +14,7 @@
  python3-pysignalr <!nocheck>,
  python3-jsonpickle <!nocheck>,
  python3-aiohttp <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/Explicatis-GmbH/pysmarlaapi
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pysmarlaapi
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pysmarlaapi.git

## pysmarlaapi 1.0.1

=== debian/changelog ===
pysmarlaapi (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 13 Feb 2026 15:46:44 +0000

=== debian/watch ===
Version: 5

Template: GitHub
Owner: Explicatis-GmbH
Project: pysmarlaapi
